[quagga-dev 9359] New repository based on Quagga v0.99.17

Joachim Nilsson troglobit at gmail.com
Mon May 21 19:16:31 BST 2012


Hi!

Due to the serious problems[1] with ospfd in Quagga >0.99.17 we've
decided at Westermo to downgrade to 0.99.17 for our upcoming
WeOS[2] 4.9.0 release.

Contrary to earlier releases of WeOS I've decided to personally steal
some corporate time to communicating our efforts and publicizing our
patches at GitHub[3].

     https://github.com/troglobit/quagga/tree/security/0.99.17
     https://github.com/troglobit/quagga/tree/westermo/0.99.17

So far I've setup the repository, created a security/0.99.17 branch, with
patches from the official security/0.99.20 tree, and added the Westermo
patches (including Stephen Hemminger's Zebra route manager patch! :)
to a westermo/0.99.17 tree.

Before our own WeOS release I hope to add CVE fixes from Debian[4],
at the very least CVE-2011-3325 and CVE-2011-3326, i.e., DSA-2316-1
see[5] for more details.

Maybe someone else is interested in this effort. Iirc Joakim Tjernlund
also use 0.99.17 as a baseline for Transmode ...

Regards
  /Joachim

[1] - http://lists.quagga.net/pipermail/quagga-dev/2012-May/009391.html
[2] - http://www.westermo.com
[3] - http://github.com/troglobit/quagga
[4] - http://security-tracker.debian.org/tracker/source-package/quagga
[5] - http://security-tracker.debian.org/tracker/DSA-2316-1




More information about the Quagga-dev mailing list